//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * コーン距離テスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Geometry/Distance/ConeDistanceTest.h"

//------------------------------------------------------------------------------
// コンストラクタ
ConeDistanceTest::ConeDistanceTest(String name) :
	TestCase(name){
}
//------------------------------------------------------------------------------
// テストスィートの取得
Test* ConeDistanceTest::suite(){
	TestSuite* suite = new TestSuite("ConeDistanceTest");
	suite->addTest(new TestCaller(ConeDistanceTest, testPoint));
	suite->addTest(new TestCaller(ConeDistanceTest, testCone));
	suite->addTest(new TestCaller(ConeDistanceTest, testLine));
	suite->addTest(new TestCaller(ConeDistanceTest, testOrientedBox));
	suite->addTest(new TestCaller(ConeDistanceTest, testPlane));
	suite->addTest(new TestCaller(ConeDistanceTest, testRay));
	suite->addTest(new TestCaller(ConeDistanceTest, testSegment));
	suite->addTest(new TestCaller(ConeDistanceTest, testSphere));
	suite->addTest(new TestCaller(ConeDistanceTest, testTriangle));
	return suite;
}
//------------------------------------------------------------------------------
// 点テスト
void ConeDistanceTest::testPoint(){
}
//------------------------------------------------------------------------------
// コーンテスト
void ConeDistanceTest::testCone(){
}
//------------------------------------------------------------------------------
// ラインテスト
void ConeDistanceTest::testLine(){
}
//------------------------------------------------------------------------------
// 指向性ボックステスト
void ConeDistanceTest::testOrientedBox(){
}
//------------------------------------------------------------------------------
// 平面テスト
void ConeDistanceTest::testPlane(){
}
//------------------------------------------------------------------------------
// レイテスト
void ConeDistanceTest::testRay(){
}
//------------------------------------------------------------------------------
// セグメントテスト
void ConeDistanceTest::testSegment(){
}
//------------------------------------------------------------------------------
// 球テスト
void ConeDistanceTest::testSphere(){
}
//------------------------------------------------------------------------------
// 三角テスト
void ConeDistanceTest::testTriangle(){
}
//------------------------------------------------------------------------------
